//i2c JalapinoMaster code (to Luizino and "Hello, World - I'm Luiz" boards)
#include <Wire.h>

void setup() 
{
  Serial.begin(9600);
  Wire.begin();
}

void loop() 
{
  while(Serial.available())
  {
    char c = Serial.read();         //c is set to equal what is being read in the serial port
    
    Serial.println(c);              //prints what value c is in serial port

 //25 is the address of slave 01 and 26 is the address to slave 02

    if(c == '1')                    //if serial port value is '1'
    { 
      Wire.beginTransmission(25);   //writes to slave 01
      Wire.write('H');              //writes H to slave 01 - turning slave 01 on
      Wire.endTransmission();       //finishes transmission to slave 01
      digitalWrite(13, HIGH);       //sets master to LOW (off) 
    }
    
    else if(c == '2')
    { 
      Wire.beginTransmission(25);   //writes to slave 01
      Wire.write('L');              //writes L to slave 01 - turning slave 01 off
      Wire.endTransmission();       //finishes transmission to slave 01
       digitalWrite(13, LOW);       //sets master LOW (off) 
    }
    
    else if(c == '3')
    { 
      Wire.beginTransmission(26);   //writes to slave 02
      Wire.write('H');              //writes H to slave 02 - turning slave 02 on
      Wire.endTransmission();       //finished transmission to slave 02
       digitalWrite(13, HIGH);      //sets master to HIGH (on)
    }
  
    else if(c == '4')
    { 
      Wire.beginTransmission(26);   //writes to slave 02
      Wire.write('L');              //writes L to slave 02 - turning slave 02 off
      Wire.endTransmission();       //finishes transmission to slave 02
      digitalWrite(13, LOW);        //sets master to LOW (off)
    }
    
    else if(c == '5')    
        //turns off all LEDS on all boards          
    {
      Wire.beginTransmission(25);   //writes to slave 01
      Wire.write('L');              //writes L to slave 01 - turning slave 01 off
      Wire.endTransmission();       //finishes transmission to slave 01
      Wire.beginTransmission(26);   //writes to slave 02
      Wire.write('L');              //writes L to slave 02
      Wire.endTransmission();       //finishes transmission to slave 02
      digitalWrite(13,LOW);         //sets master to LOW (off)
    }

    else if(c == '6')
        //turns on all LEDS on all boards
    {
      Wire.beginTransmission(25);   //writes to slave 01
      Wire.write('H');              //writes H to slave 01 - turning slave 01 on
      Wire.endTransmission();       //finishes transmission to slave 01
      Wire.beginTransmission(26);   //writes to slave 02
      Wire.write('H');              //writes H to slave 02
      Wire.endTransmission();       //finishes transmission to slave 02 
      digitalWrite(13,HIGH);        //sets master to HIGH (on)
    }
  
    else if(c == '7')
    { 
      Wire.beginTransmission(25);   //writes to slave 01
      Wire.write('H');              //writes H to slave 01
      Wire.endTransmission();       //finishes transmission to slave 01
      digitalWrite(13, HIGH);       //turn the LED on on master (HIGH is the voltage level)
      delay(1000);                  //delays this command for 1 second
      digitalWrite(13, LOW);        //turn the LED off on master (LOW is the voltage level)
      delay(1000);                  //delay this command for 1 second
     }
  
    else if(c == '8')
    { 
      Wire.beginTransmission(26);
      Wire.write('H');
      Wire.endTransmission();
      digitalWrite(13, HIGH); // turn the LED on (HIGH is the voltage level)
      delay(5000);   // wait for a second
      digitalWrite(13, LOW);  // turn the LED off by making the voltage LOW
      delay(5000); // wait for a second
    }

    else if(c == '9')
    {
      Wire.beginTransmission(25);
      Wire.write('B');
      delay(2000);
      //Wire.write('B');
      //Wire.write('B');
      Wire.write('O');
      delay(2000);
      Wire.write('B');
      delay(2000);
      Wire.write('O');
      delay(2000);
      Wire.endTransmission();
      digitalWrite(13,HIGH);
    }
  }
}
